

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>other packages &mdash; CMS Trigger Supervisor Software 3.4.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/custom.css" type="text/css" />
  

  
    <link rel="top" title="CMS Trigger Supervisor Software 3.4.0 documentation" href="../../index.html"/>
        <link rel="up" title="Building your own Cell Panels" href="../index.html"/>
        <link rel="next" title="Sphinx syntax examples" href="../../how_to_talk_sphinx.html"/>
        <link rel="prev" title="The common-elements package" href="common-elements.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> CMS Trigger Supervisor Software
          

          
          </a>

          
            
            
              <div class="version">
                3.4.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Building your own Cell Panels</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#welcome">Welcome</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#quickstart-section">Quickstart section</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#available-resources">Available resources</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="bower-components.html">The bower-components package</a></li>
<li class="toctree-l3"><a class="reference internal" href="common-elements.html">The common-elements package</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="">other packages</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#ajaxell">AjaXell</a></li>
<li class="toctree-l4"><a class="reference internal" href="#ts-framework">TS Framework</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../how_to_talk_sphinx.html">Sphinx syntax examples</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">CMS Trigger Supervisor Software</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Building your own Cell Panels</a> &raquo;</li>
      
    <li>other packages</li>
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../../_sources/building_panels/resources/other_packages.txt" rel="nofollow"> View page source</a>
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="other-packages">
<h1>other packages<a class="headerlink" href="#other-packages" title="Permalink to this headline">¶</a></h1>
<p>Every package can contain its own set of custom-made elements, yours can too.</p>
<div class="section" id="ajaxell">
<h2>AjaXell<a class="headerlink" href="#ajaxell" title="Permalink to this headline">¶</a></h2>
<p>AjaXell contains a set of elements to make its page-flow work, such as the
<cite>page-handler</cite> and the <cite>ts-session</cite> element.</p>
<p>A notable element is <cite>ag-toaster</cite>, which allows anyone to show notifications to
the user from their panels.
For more information visit <a class="reference external" href="http://kill-all-humans.cern.ch:2974/ts/ajaxell/html/elements/index.html">the AjaXell page</a></p>
</div>
<div class="section" id="ts-framework">
<h2>TS Framework<a class="headerlink" href="#ts-framework" title="Permalink to this headline">¶</a></h2>
<p>The TS Framework contains a set of panels that are always included in a cell
(i.e. the about panel).</p>
<p>For more information visit <a class="reference external" href="http://kill-all-humans.cern.ch:2974/ts/framework/html/elements/index.html">the TS Framework page</a></p>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="../../how_to_talk_sphinx.html" class="btn btn-neutral float-right" title="Sphinx syntax examples" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="common-elements.html" class="btn btn-neutral" title="The common-elements package" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Glenn Dirkx.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'3.4.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
  
 <script type="text/javascript">
    $(document).ready(function() {
        $(".toggle > *").hide();
        $(".toggle .header").show();
        $(".toggle .header").click(function() {
            $(this).parent().children().not(".header").toggle(400);
            $(this).parent().children(".header").toggleClass("open");
        })
    });
</script>


</body>
</html>